This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 953666 - (CVE-2013-1951) CVE-2013-1951 mediawiki: security releases 1.20.4 and 1.19.5
CVE-2013-1951 mediawiki: security releases 1.20.4 and 1.19.5
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130415,repor...
: Security
Depends On: 953668 953669 953670 953671
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-18 16:52 EDT by Vincent Danen
Modified: 2013-05-02 10:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-02 10:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-04-18 16:52:21 EDT
Three flaws were corrected in the recently-released MediaWiki 1.20.4 and 1.19.5 releases:

* An internal review discovered that specially crafted Lua function names could lead to XSS [1]

* Daniel Franke reported that during SVG parsing, MediaWiki failed to prevent XML external entity (XXE) processing. This could lead to local file disclosure, or potentially remote command execution in environments that have enabled expect:// handling. [2]

* Internal review also discovered that Special:Import, and Extension:RSS failed to prevent XML external entity (XXE) processing. [3]

CVE-2013-1951 was assigned to the first issue (the XSS), the other two do not have CVEs assigned as per a discussion on oss-sec [4].

[1] https://bugzilla.wikimedia.org/show_bug.cgi?id=46084
[2] https://bugzilla.wikimedia.org/show_bug.cgi?id=46859
[3] https://bugzilla.wikimedia.org/show_bug.cgi?id=47251
[4] http://seclists.org/oss-sec/2013/q2/5
Comment 1 Vincent Danen 2013-04-18 16:56:29 EDT
Created mediawiki tracking bugs for this issue

Affects: fedora-all [bug 953668]
Affects: epel-5 [bug 953669]
Comment 2 Vincent Danen 2013-04-18 16:56:32 EDT
Created mediawiki119 tracking bugs for this issue

Affects: epel-6 [bug 953671]
Comment 3 Vincent Danen 2013-04-18 16:56:35 EDT
Created mediawiki116 tracking bugs for this issue

Affects: epel-all [bug 953670]
Comment 5 Fedora Update System 2013-04-29 23:26:12 EDT
mediawiki-1.19.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-04-29 23:32:09 EDT
mediawiki-1.19.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-05-01 15:24:36 EDT
mediawiki119-1.19.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.